asn1_length_der(3)

NAME
asn1_length_der - API function

SYNOPSIS
#include <libtasn1.h>

void asn1_length_der(unsigned long int len, unsigned char * der, int * der_len);

ARGUMENTS

unsigned long int len
    value to convert.

unsigned char * der
    buffer to hold the returned encoding (may be NULL).

int * der_len
    number of meaningful bytes of ANS (der[0]..der[der_len-1]).

DESCRIPTION
Creates the DER encoding of the provided length value. The der buffer must have enough room for the output. The maximum length this function will encode is ASN1_MAX_LENGTH_SIZE.

To know the size of the DER encoding use a NULL value for der .

COPYRIGHT
Copyright © 2006-2015 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/